@font-face {
  font-family: "ColfaxAI";
  src: url(https://cdn.openai.com/API/fonts/ColfaxAIRegular.woff2)
      format("woff2"),
    url(https://cdn.openai.com/API/fonts/ColfaxAIRegular.woff) format("woff");
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: "ColfaxAI";
  src: url(https://cdn.openai.com/API/fonts/ColfaxAIBold.woff2) format("woff2"),
    url(https://cdn.openai.com/API/fonts/ColfaxAIBold.woff) format("woff");
  font-weight: bold;
  font-style: normal;
}
.main input {
  font-size: 16px;
  line-height: 24px;
  color: #353740;
  font-family: "ColfaxAI", Helvetica, sans-serif;
}
.main {
  width: 100%;
  min-height: 100vh;
  max-height: 100vh;
  display: flex;
  flex-direction: column;
  margin: 0;
  padding: 0;
  align-items: center;
  /* justify-content: flex-end; */
}
.main .icon {
  width: 34px;
}
.main h3 {
  font-size: 25px;
  line-height: 40px;
  font-weight: bold;
  color: #202123;
}
.main form {
  border-top: #202123 1px solid;
  background-color: #4b154b;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  width: 100%;
  min-height: 20%;
}

.responseData {
  width: 100%;
}

.textSendBanner {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
  margin-top: 20px;
}

.textReceivedBanner {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  text-align: left;
  margin-top: 20px;
}

.icon_avatar {
  width: 50px;
  height: 45px;
  object-fit: cover;
  /* max-height: 50px; */
  margin: 0 4% 0 4%;
  border-radius: 100%;
}

.textReceived {
  text-align: left;
  padding: 2% 7% 2% 7%;
  border: #202123 1px solid;
  max-width: 60%;
  margin-right: 40%;
  border-radius: 33px;
  background-color: cyan;
  margin-bottom: 5%;
}

.textSend {
  text-align: left;
  padding: 2% 7% 2% 7%;
  border: #202123 1px solid;
  max-width: 50%;
  margin-left: 50%;
  border-radius: 33px;
  margin-bottom: 5%;
}

.main input[type="text"] {
  border: 1px solid #10a37f;
  border-radius: 4px;
}
.main ::placeholder {
  color: #8e8ea0;
  opacity: 1;
}
.main input[type="submit"] {
  color: #fff;
  background-color: #10a37f;
  border: none;
  border-radius: 4px;
  text-align: center;
  cursor: pointer;
}
.main .result {
  font-weight: bold;
  margin-top: 40px;
}

/* .result {
  height: 400px;
  overflow: auto;
  font-size: 16px;
  line-height: 24px;
  color: #353740;
  font-family: "ColfaxAI", Helvetica, sans-serif;
} */

.result {
  padding-top: 15%;
  height: 60%;
  margin-bottom: 15%;
  overflow: auto;
  font-size: 16px;
  line-height: 24px;
  color: #353740;
  font-family: "ColfaxAI", Helvetica, sans-serif;
}

.header {
  height: 10%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
  position: fixed;
  width: 100%;
  background-color: #fff;
  cursor: pointer;
}

.header_text {
  cursor: pointer;
}

.icon_avatar_header {
  width: 70px;
  height: 70px;
  object-fit: cover;
  /* max-height: 50px; */
  margin: 4%;
  border-radius: 100%;
}

.form {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  display: flex;
  flex-direction: row;
}

.form:nth-child(1) {
  margin: 5%;
}

.input {
  margin: 5%;
}

@media screen and (max-width: 600px) {
  .result {
    height: 60%;
    margin-bottom: 40%;
    overflow: auto;
    font-size: 16px;
    line-height: 24px;
    color: #353740;
    font-family: "ColfaxAI", Helvetica, sans-serif;
  }
}

.computerView {
  display: initial;
}

.mobileView {
  display: none;
}

@media screen and (max-width: 900px) {
  .computerView {
    display: none;
  }
  .mobileView {
    display: flex;
  }
  .UserList_div_halfBlock2 {
    display: none;
  }
}
